# Method: eventticketclass.list

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.response_body)
  - [JSON representation](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.EventTicketClassListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list#body.aspect)

Returns a list of all event ticket classes for a given issuer ID.

### HTTP request

`GET https://walletobjects.googleapis.com/walletobjects/v1/eventTicketClass`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `issuerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the issuer authorized to list classes. |
| `token` | `string` Used to get the next set of results if `maxResults` is specified, but more than `maxResults` classes are available in a list. For example, if you have a list of 200 classes and you call list with `maxResults` set to 20, list will return the first 20 classes and a token. Call list again with `maxResults` set to 20 and the token to get the next 20 classes. |
| `maxResults` | `integer` Identifies the max number of results returned by a list. All results are returned if `maxResults` isn't defined. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resources": [ { object (`https://developers.google.com/wallet/reference/rest/v1/eventticketclass#EventTicketClass`) } ], "pagination": { object (`https://developers.google.com/wallet/reference/rest/v1/Pagination`) } } ``` |

| Fields ||
|---|---|
| `resources[]` | ``object (`https://developers.google.com/wallet/reference/rest/v1/eventticketclass#EventTicketClass`)`` Resources corresponding to the list request. |
| `pagination` | ``object (`https://developers.google.com/wallet/reference/rest/v1/Pagination`)`` Pagination of the response. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`